package com.yinlihupo.enlish.service.service;

import com.yinlihupo.enlish.service.domain.dataobject.LessonPlansDO;

import java.util.List;

public interface LessonPlansService {
    void generateLessonPlans(Integer studentId, Integer unitId, Integer wordSize);

    List<LessonPlansDO> findLessonPlans(List<Integer> ids);

    LessonPlansDO findLessonPlanById(Integer id);

    List<LessonPlansDO> findLessonPlansByStudentId(Integer studentId);
}
